Skip to main content
POST
Create Payment

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowPassword
Token URL
token

Headers

idempotency-key
string
required
Required string length: 1 - 200
x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Path Parameters

session_id
string
required

Query Parameters

update_metadata
boolean
default:true

Body

application/json
amount
required

Amount in currency units, e.g. 100.91 means USD 100.91. Never rounded.

Required range: x > 0
currency
string
required
Pattern: ^[a-z]{3}$
merchant_url
string
required
Maximum string length: 2048
merchant_name
string
required
Required string length: 1 - 200
description
string
required
Required string length: 100 - 4000
mode
enum<string>
default:live
Available options:
test,
live

Response

Successful Response

id
string
required
session_id
string
required
status
string
required
mode
string
required
amount
string
required

Amount in currency units, serialized as an exact decimal string.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
string
required
merchant_name
string
required
merchant_url
string
required
vault_id
string | null
approval_url
string | null
connection_url
string | null
connection_phrase
string | null
expires_at
string<date-time> | null
error_code
string | null
next_action
PaymentNextAction · object | null
purchase_status
string
default:unverified
Allowed value: "unverified"